IBM MQ AMQP Listeners 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1756548 漏洞类型 授权问题
发布时间 2019-09-26 更新时间 2019-10-17
CVE编号 CVE-2019-4227 CNNVD-ID CNNVD-201909-1240
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201909-1240
|漏洞详情
IBM MQ(IBM WebSphere MQ)是美国IBM公司的一款消息传递中间件产品。该产品主要为面向服务的体系结构(SOA)提供可靠的、经过验证的消息传递主干网。AMQP Listeners是其中的一个AMQP(高级消息队列协议)侦听器插件。 IBM MQ AMQP Listeners中存在授权问题漏洞。该漏洞源于在客户端断开时,程序没有对其进行正确的处理。攻击者可利用该漏洞实施会话固定攻击。以下产品及版本受到影响:IBM MQ 8.0.0.4版本至8.0.0.12版本,9.0.0.0版本至9.0.0.6版本(LTS),9.1.0.0版本至9.1.0.2版本(LTS),9.1.0版本至9.1.2版本(CD)。
|参考资料

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/IBM-MQ-privilege-escalation-via-session-fixation-30419